
subtle - Bug #174

Widechar support

01/12/2011 12:07 PM - Christoph Kappel

Status: Fixed Start date: 01/12/2011

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 100%

Category: Bugfix Estimated time: 0.00 hour

Target version:    

Description

subtle currently lacks proper widechar support or iconv mechanisms. This results in an overflow, that can cause various things, but

most likely segmentation faults.

History

#1 - 01/13/2011 04:15 PM - Wael Nasreddine

I might be affected by this BUG, for no particular reason, Subtle just Freeze, nothing in .xsession-errors, nor dmesg but subtle is unresponsive..

Could you indicate any way to reproduce or any indication of the segmentation fault ?

Thank you

#2 - 01/13/2011 05:14 PM - Christoph Kappel

Wael Nasreddine wrote:

I might be affected by this BUG, for no particular reason, Subtle just Freeze, nothing in .xsession-errors, nor dmesg but subtle is unresponsive..

 

This has most likely nothing to do with this bug, I fixed the overflow already just the output of xft isn't proper. When subtle freezes this is usually

caused by sublets (see #175). Which sublets do you use? (subtler -sl shows a list)

#3 - 01/13/2011 05:21 PM - Christoph Kappel

- Priority changed from 7 to Urgent

#4 - 01/13/2011 07:32 PM - Christoph Kappel

- % Done changed from 0 to 100

- Status changed from Confirmed to Fixed

Applied in changeset r2524.
